# class RSS::Maker::RSS10

### Public Class Methods

new(feed_version="1.0") click to toggle source
Calls superclass method

    # File lib/rss/maker/1.0.rb, line 11
    def initialize(feed_version="1.0")
      super
      @feed_type = "rss"
    end

### Private Instance Methods

make_feed() click to toggle source

    # File lib/rss/maker/1.0.rb, line 17
    def make_feed
      RDF.new(@version, @encoding, @standalone)
    end

setup_elements(rss) click to toggle source

    # File lib/rss/maker/1.0.rb, line 21
    def setup_elements(rss)
      setup_channel(rss)
      setup_image(rss)
      setup_items(rss)
      setup_textinput(rss)
    end